export interface Package {
    name: string;
    version: string;
    scripts: {
        [key: string]: string;
    };
}
export interface AllPackages {
    [key: string]: Package;
}
export interface Item {
    label: string;
    value: string;
    divider?: boolean;
    preview?: string;
    location?: string;
}
export declare const findPackages: () => string[];
export declare const findWorkspaces: () => Promise<AllPackages>;
export declare const composeItems: () => Promise<Item[]>;
export declare const filterItems: (text: string, items?: Item[]) => Item[];
